Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 980659 - [RFE]: As an admin, I want to import TMX files as translation memories
[RFE]: As an admin, I want to import TMX files as translation memories
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Component-API, Component-UI, Component-Logic, Component-Persistence (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.0
Assigned To: Carlos Munoz
Zanata-QA Mailling List
:
Depends On:
Blocks: 902131 993501
  Show dependency treegraph
 
Reported: 2013-07-02 20:51 EDT by Carlos Munoz
Modified: 2013-11-26 22:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:23:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2013-07-02 20:51:47 EDT
Description of problem:
Administrators must be able to upload TMX files into Zanata, view them, delete them, and re-upload them.

Version-Release number of selected component (if applicable):
3.1
Comment 1 Carlos Munoz 2013-08-08 18:56:48 EDT
Implemented TMX import via the GUI. The feature is accessible on the administration page.

Translation memories can be created, cleared (all their contents removed), exported (as TMX) and uploaded (as TMX). When uploading an already populated translation memory, zanata will overwrite already existing entries (<tu> tags in tmx), while inserting newly created ones. Entries that are not in the newly uploaded file will NOT be removed.

The editor will now show translation memory results from these imported translation memories, and will show the translation memory they are coming from. Similarly scored results from the Zanata internal database (non-imported-TM ones) will be shown before imported TM results.

The reindex feature (Admin -> Manage Search) now allows to reindex TransMemoryUnits, which reindexes the stored imported Translation Memories.

Technical note:
The indexing of HTextFlow has been completely removed from this version as it is no longer necessary.

See:
https://github.com/zanata/zanata-server/commit/e9e64835654fae362330fd6d0ecbb56ef8573f4d
and predecessors
Comment 2 Damian Jansen 2013-08-14 23:04:02 EDT
Verified at 21666add5b2a709df3e4594afec44ccd824174b4
Comment 3 Sean Flanigan 2013-11-26 22:13:46 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 4 Sean Flanigan 2013-11-26 22:15:41 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 5 Sean Flanigan 2013-11-26 22:19:17 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:23:35 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:33:59 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:36:12 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.